Subject: Re: [Igmp-mld-bis] Meet in Montreal?

From: Toerless Eckert <[email-masked]>
Date: Tue, 23 Jul 2019 19:37:47 +0200

Thanks folks for catching up.

Points collected:

a) Tim Chown: When you get irregular responses like "i do not understand
   the questions", please inform us (anonymized).

b) Let discuss during WG meeting ideas whom to send to:
    groups, e.g.:
      internet2 multicast group
    multiplicators, e.g.:
      Dino Farinacci (still working with a customer, knowin operators).

Cheers
    Toerless

In-Reply-To: <[email-masked]>

On Tue, Jul 23, 2019 at 05:49:07PM +0200, Toerless Eckert wrote:
> I need to chair my WG at 1:30, so meet would be nice, but i don't think
> that time then is sufficient to go to some lunch place, so if anybody
> is interest to go to llunch at noon, let me know, i will be back at 1PM
> before Laurier to meet.
> 
> On Tue, Jul 23, 2019 at 11:36:17AM -0400, Timothy Winters wrote:
> > I can be free at 1.
> > 
> > ~Tim
> > 
> > On Tue, Jul 23, 2019 at 11:34 AM Olufemi Komolafe <femi=
> > [email-masked]> wrote:
> > 
> > > Perhaps we can meet at 1pm then if that works better?  Perhaps Tim will be
> > > free by then too?
> > >
> > > We can meet on the first floor, perhaps at the entrance to Laurier?
> > >
> > > Regards,
> > > Femi
> > >
> > > > On 23 Jul 2019, at 11:30, Toerless Eckert <[email-masked]> wrote:
> > > >
> > > > How long do you think ? 12:30 ?
> > > >
> > > > On Tue, Jul 23, 2019 at 11:28:50AM -0400, Hitoshi Asaeda wrote:
> > > >> Ah, sorry, I'm also booked another meeting this noon.
> > > >> But whenever my meeting is over, I try to join.
> > > >> Sorry about that.
> > > >>
> > > >> Hitoshi
> > > >>
> > > >>> On Jul 23, 2019, at 11:24, Toerless Eckert <[email-masked]> wrote:
> > > >>>
> > > >>> Sounds good. Foyer = ground floor of hotel ?!
> > > >>>
> > > >>> On Tue, Jul 23, 2019 at 09:46:27AM -0400, Olufemi Komolafe wrote:
> > > >>>> Does meeting at noon today still work for the folks in Montreal?  If
> > > so, shall we just meet in the foyer and we can grab a spot to chat?
> > > >>>>
> > > >>>> I think our goal should be to try to ensure there???s nothing
> > > outstanding and finalise what we should tell the WG chairs to try to
> > > progress this work, hopefully this week.
> > > >>>>
> > > >>>> Regards,
> > > >>>> Femi
> > > >>>>
> > > >>>>> On 19 Jul 2019, at 07:45, Olufemi Komolafe <[email-masked]> wrote:
> > > >>>>>
> > > >>>>> Hi,
> > > >>>>>
> > > >>>>> I???ll be there too.
> > > >>>>>
> > > >>>>> So I believe we have Tim, Toerless, Hitoshi and myself.  Anyone else?
> > > >>>>>
> > > >>>>> Shall we try to meet on Tuesday, then?  Say at noon?  Anyone that
> > > does not suit?
> > > >>>>>
> > > >>>>> Nice work getting a response to the survey, Hitoshi.
> > > >>>>>
> > > >>>>> Regards,
> > > >>>>> Femi
> > > >>>>>
> > > >>>>>
> > > >>>>>
> > > >>>>>> On 19 Jul 2019, at 11:28, Hitoshi Asaeda <[email-masked]> wrote:
> > > >>>>>>
> > > >>>>>> Hi folks,
> > > >>>>>>
> > > >>>>>> I'll be there.
> > > >>>>>>
> > > >>>>>> I'm sorry I've not contributed to this draft update.
> > > >>>>>> I'm not an operator and have no information privately, but I asked
> > > one Japanese operator to give some input based on the questionnaire and got
> > > it. I hope it can be a good input.
> > > >>>>>>
> > > >>>>>> Regards,
> > > >>>>>>
> > > >>>>>> Hitoshi
> > > >>>>>>
> > > >>>>>>
> > > >>>>>> ===from here===
> > > >>>>>>
> > > >>>>>> 3.2.  Questionnaire for Network Operators
> > > >>>>>>
> > > >>>>>> Name: Takatoshi Ikeda
> > > >>>>>>
> > > >>>>>> Affiliation/Organization: APAN-JP
> > > >>>>>>
> > > >>>>>> Contact Email: [email-masked]
> > > >>>>>>
> > > >>>>>> Do you wish to keep your name and affiliation confidential?:
> > > >>>>>>
> > > >>>>>> 3.2.1.  Deployment Status
> > > >>>>>>
> > > >>>>>> Which of the following are currently deployed in your network?  And
> > > >>>>>> for how long has it been deployed?
> > > >>>>>>
> > > >>>>>> 1.  IGMPv1 [RFC1112] deployed?: N, since:
> > > >>>>>>
> > > >>>>>> 2.  IGMPv2 [RFC2236] deployed?: Y, since:
> > > >>>>>>
> > > >>>>>> 3.  IGMPv3 [RFC3376] deployed?: Y, since:
> > > >>>>>>
> > > >>>>>> 4.  Lightweight IGMPv3 [RFC5790] Implemented: N, since:
> > > >>>>>>
> > > >>>>>> 5.  MLDv1 [RFC2710] deployed?: Y, since:
> > > >>>>>>
> > > >>>>>> 6.  MLDv2 [RFC3810] deployed?: Y, since:
> > > >>>>>>
> > > >>>>>> 7.  Lightweight MLDv2 [RFC5790] deployed?: N, since:
> > > >>>>>>
> > > >>>>>> 3.2.2.  Deployment Specifics
> > > >>>>>>
> > > >>>>>> 1.  Which IGMPv3 features are in use?  (Is Exclude mode with source
> > > >>>>>>    list in use?)
> > > >>>>>>     Membership-report for SSM
> > > >>>>>>     No filter function is used.
> > > >>>>>>
> > > >>>>>>
> > > >>>>>> 2.  Which MLDv2 features are in use?  (Is Exclude mode with source
> > > >>>>>>    list in use?)
> > > >>>>>>     Membership-report for SSM
> > > >>>>>>     No filter function is used.
> > > >>>>>>
> > > >>>>>>
> > > >>>>>> 3.  Does your network rely on the fallback mechanism between
> > > >>>>>>    different IGMP versions?  (Between which IGMP versions?)  (What
> > > >>>>>>    is your experience with this fallback mechanism?)
> > > >>>>>>
> > > >>>>>>     No
> > > >>>>>>
> > > >>>>>> 4.  Are you using equipment with different (multi-vendor)
> > > >>>>>>    implementations for your deployment?  (Have you encountered any
> > > >>>>>>    inter-operability or backward-compatibility issues amongst
> > > >>>>>>    differing implementations?)  (What are your concerns about these
> > > >>>>>>    issues?)
> > > >>>>>>
> > > >>>>>>    No
> > > >>>>>>
> > > >>>>>> 3.2.3.  Deployment Perspectives
> > > >>>>>>
> > > >>>>>> 1.  What have you found to be the strengths of IGMPv3/MLDv2?
> > > >>>>>>    Specifying Source for Multicast
> > > >>>>>>
> > > >>>>>> 2.  What have you found to be the weaknesses of IGMPv3/MLDv2?
> > > >>>>>>    None
> > > >>>>>>
> > > >>>>>> 3.  What suggestions would you make to the PIM WG as it seeks to
> > > >>>>>>    update these documents?
> > > >>>>>>
> > > >>>>>> ===to here===
> > > >>>>>>
> > > >>>>>>
> > > >>>>>>> On Jul 17, 2019, at 4:59, Toerless Eckert <[email-masked]> wrote:
> > > >>>>>>>
> > > >>>>>>> I hope i can go to IETF105 and would be happy to meet. Have not
> > > tried to
> > > >>>>>>> work out my schedule, but if i am there, it will be whole week.
> > > >>>>>>>
> > > >>>>>>> Who else is coming ?
> > > >>>>>>>
> > > >>>>>>> Cheers
> > > >>>>>>> Toerless
> > > >>>>>>>
> > > >>>>>>> On Mon, Jul 15, 2019 at 07:07:55PM +0000, Mankamana Mishra
> > > (mankamis) wrote:
> > > >>>>>>>> Hi,
> > > >>>>>>>> This IETF I would not be able to make it.
> > > >>>>>>>>
> > > >>>>>>>> Thanks
> > > >>>>>>>> Mankamana
> > > >>>>>>>>
> > > >>>>>>>>
> > > >>>>>>>> From: Igmp-mld-bis <[email-masked]> on behalf of
> > > Timothy Winters <[email-masked]>
> > > >>>>>>>> Date: Monday, July 15, 2019 at 12:06 PM
> > > >>>>>>>> To: Olufemi Komolafe <femi=[email-masked]>
> > > >>>>>>>> Cc: "[email-masked]" <[email-masked]>
> > > >>>>>>>> Subject: Re: [Igmp-mld-bis] Meet in Montreal?
> > > >>>>>>>>
> > > >>>>>>>> I'm available Tuesday morning.
> > > >>>>>>>>
> > > >>>>>>>> ~Tim
> > > >>>>>>>>
> > > >>>>>>>> On Sun, Jul 14, 2019 at 3:01 PM Olufemi Komolafe <femi=
> > > [email-masked]<mailto:[email-masked]>> wrote:
> > > >>>>>>>> Not sure who is attending IETF 105 in Montreal next week but I
> > > was thinking that perhaps those of us attending can fix a time/place to
> > > meet up?
> > > >>>>>>>>
> > > >>>>>>>> It might be an idea to meet on Monday or Tuesday, i.e. before the
> > > PIM WG meeting on Thursday, to try to progress and finalise the survey?
> > > >>>>>>>>
> > > >>>>>>>> Also, there have been some discussions on the thread recently so
> > > it???d be good for folks to please take a look and provide any
> > > thoughts/feedback?
> > > >>>>>>>>
> > > >>>>>>>> In my opinion, we should aim to handing over the survey to the WG
> > > chairs before the meeting so the focus can shift on to starting the actual
> > > mechanics of distributing the survey etc.
> > > >>>>>>>>
> > > >>>>>>>> Regards,
> > > >>>>>>>> Femi
> > > >>>>>>>>
> > > >>>>>>>> --
> > > >>>>>>>> Igmp-mld-bis mailing list
> > > >>>>>>>> [email-masked]<mailto:[email-masked]>
> > > >>>>>>>> https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > > >>>>>>>
> > > >>>>>>>> --
> > > >>>>>>>> Igmp-mld-bis mailing list
> > > >>>>>>>> [email-masked]
> > > >>>>>>>> https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > > >>>>>>>
> > > >>>>>>>
> > > >>>>>>> --
> > > >>>>>>> ---
> > > >>>>>>> [email-masked]
> > > >>>>>>>
> > > >>>>>>> --
> > > >>>>>>> Igmp-mld-bis mailing list
> > > >>>>>>> [email-masked]
> > > >>>>>>> https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > > >>>>>>
> > > >>>>>> --
> > > >>>>>> Igmp-mld-bis mailing list
> > > >>>>>> [email-masked]
> > > >>>>>> https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > > >>>>>
> > > >>>>
> > > >>>> --
> > > >>>> Igmp-mld-bis mailing list
> > > >>>> [email-masked]
> > > >>>> https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > > >>>
> > > >>> --
> > > >>> ---
> > > >>> [email-masked]
> > > >>
> > > >> --
> > > >> Igmp-mld-bis mailing list
> > > >> [email-masked]
> > > >> https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > > >
> > > > --
> > > > ---
> > > > [email-masked]
> > > >
> > > > --
> > > > Igmp-mld-bis mailing list
> > > > [email-masked]
> > > > https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > >
> > > --
> > > Igmp-mld-bis mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> > >
> 
> > -- 
> > Igmp-mld-bis mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/igmp-mld-bis
> 
> 
> -- 
> ---
> [email-masked]
> 
> -- 
> Igmp-mld-bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/igmp-mld-bis

-- 
---
[email-masked]

---

From: Stig Venaas <[email-masked]>
Date: Tue, 23 Jul 2019 11:47:10 -0700

Hi

Too bad I didn't see this until now. The main question I have for you
guys is whether you tried to create a list of features, to help people
answer consistently which features they have deployed. It may be hard
for some to understand that question, and think of what is a feature.

Can one of you give a brief update in the pim WG? It helps that people
know what is going on, and people in the WG may also be able to assist
in spreading the survey.

Stig

---

From: Olufemi Komolafe <[email-masked]>
Date: Tue, 23 Jul 2019 15:30:38 -0400

Stig,

> On 23 Jul 2019, at 14:47, Stig Venaas <[email-masked]> wrote:
> 
> Hi
> 

We debated whether or not to include a list of features.  And also whether we should restrict ourselves to features explicitly defined in the RFC or mention features that are not defined in the RFCs but are commonly thought of as IGMPv3 features (e.g. snooping proxy).

For IGMPv3, the identified features so far are:
+ SSM membership report
+ Include mode with source list
+ Exclude mode with source list

Any thoughts?

Should we list only features defined in the specific RFCs or take a more liberal approach?

Regards,
Femi

---

From: Stig Venaas <[email-masked]>
Date: Tue, 23 Jul 2019 12:39:52 -0700

Hi

> We debated whether or not to include a list of features.  And also whether we should restrict ourselves to features explicitly defined in the RFC or mention features that are not defined in the RFC…

Good question. Let us ask the pim WG and also maybe see once we have a
list. I would think the most important are the ones in the RFC since
it will help us find out what parts might potentially be removed from
the revised version.

> + Exclude mode with source list

Maybe not a feature exactly, but I think v2 compatibility might be
worth including. Do people rely on this or is it just causing
problems? There are operational problems caused by devices falling
back to v2 when someone sends a v2 report for an SSM group for
instance.

I'll add you guys to the pim agenda. Slides are not needed, but if you
have slides, please give them to me ASAP.

Thanks,
Stig

---

From: Olufemi Komolafe <[email-masked]>
Date: Tue, 23 Jul 2019 16:49:06 -0400

Stig,

> On 23 Jul 2019, at 15:39, Stig Venaas <[email-masked]> wrote:
> 
> Hi
> 

OK, fair enough.

> back to v2 when someone sends a v2 report for an SSM group for

We have some questions on fallback between different versions already in the survey.  Do these not suffice?  If so, can you please provide some text? :-)

> have slides, please give them to me ASAP.

I’ve quickly thrown together some slides and attached them.  But please do not post them yet until the other folks in the survey team have had a chance to see that they are happy with them or make the changes they want.  I’ve attached them as Powerpoint for this reason.  Also, one of the four of us here needs to give the update to the WG. Any volunteers?

Regards,
Femi